Subject: Re: [PATCH 2/5] refs: make `is_pseudoref_syntax()` stricter

From: Junio C Hamano <[email-masked]>
Date: Tue, 23 Jan 2024 09:46:42 -0800

Karthik Nayak <[email-masked]> writes:

> Given this, I think for the next version, I'll do the following changes:
> 1. keep `is_pseudoref_syntax()` as is.
> 2. introduce `is_pseudoref()` which calls `is_pseudoref_syntax()` and
> also checks the content of the file.
> 3. replace use of `is_pseudoref_syntax()` with `is_pseudoref()` in this
> patch series.

The content check in 2. was something that was mentioned in an
earlier discussion, lack of which I completely missed during the
review of this current round.  Sounds very good to add that.

Thanks.